Subject: Re: Bug report - sparse-checkout ignores prefix when run in subdirectories

From: Junio C Hamano <[email-masked]>
Date: Wed, 05 Jan 2022 15:29:28 -0800

Elijah Newren <[email-masked]> writes:

> So, should "**.py" go directly into the sparse-checkout file as-is, or
> be translated to "my/current/subdir/**.py" first?
>
> Maybe translating is always fine, or maybe we want to throw an error
> when: (not using cone mode and prefix is non-empty and any patterns
> are provided).
>
> Thoughts?

Perhaps allow things like ":(glob,icase,top)frotz" to be passed and
treating them as pathspec is the most sensible way to go outside the
cone mode?  As far as I understand, the cone mode is a strict subset
that is straight-jacketed into "no patterns allowed, just concrete
directory names and nothing else" for simplicity, so it is perfectly
OK for these two to be taking different things.